/******************************************************************************
 *                                                                            *
 *                                                                            *
 *                                Copyright by                                *
 *                                                                            *
 *                              Azoteq (Pty) Ltd                              *
 *                          Republic of South Africa                          *
 *                                                                            *
 *                           Tel: +27(0)21 863 0033                           *
 *                           E-mail: info@azoteq.com                          *
 *                                                                            *
 * ========================================================================== *
 * @file        iqs324_addresses.h                                          *
 * @brief       IQS324 - Registers & Memory Map                             *
 * @author      Azoteq PTY Ltd                                                *
 * @version     v1.0                                                          *
 * @date        2025                                                          *
 * @see         Refer to IQS324 datasheet for more information,             *
 *              available here: https://www.azoteq.com/design/datasheets/     *
 ******************************************************************************/

#ifndef IQS324_ADDRESSES_H
#define IQS324_ADDRESSES_H

/* Device Information - Read Only */

#define IQS324_MM_PROD_NUM 0x0000
#define IQS324_MM_MAJOR_VERSION_NUM 0x0002
#define IQS324_MM_MINOR_VERSION_NUM 0x0004

#define IQS324_MM_SYSTEM_FLAGS 0x2000
#define IQS324_MM_HALL_UI_FLAGS 0x2002

#define IQS324_MM_HALL_INTERVAL 0x2064

#define IQS324_MM_SYSTEM_SETTINGS 0x1000
#define IQS324_MM_SYSTEM_SETTINGS_1 0x1001
#define IQS324_MM_CHANNEL0_SETTINGS 0x1014
#define IQS324_MM_CHANNEL0_ATI_SETTINGS 0x102E
#define IQS324_MM_HALL_PLATE_SETTINGS 0x1036
#define IQS324_HALL_PHASE_ANGLE_SETTINGS 0x1048
#define IQS324_MM_HALL_UI_SETTINGS 0x1062
#define IQS324_MM_HALL_INTERVAL_SETTINGS 0x106E
#define IQS324_MM_NORMALISATION_SETTINGS 0x1074

#endif /* IQS324_ADDRESSES_H */
